Subject: Re: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring

From: Deniz Dogan <[email-masked]>
Date: Wed, 31 Aug 2011 16:52:33 +0200

On 2011-08-31 16:33, Thierry Volpiatto wrote:
> Deniz Dogan<[email-masked]>  writes:
>
>> On 2011-08-31 15:01, Stefan Monnier wrote:
>>> Actually one of the benefits of your proposal is that it opens up the
>>> possibility of freeing the M-y binding.
>>>
>>
>> Why "free" the M-y binding if it means jailing M-n and M-p?  M-y does
>> nothing useful unless preceded by C-y today, so in that sense it's
>> already "free".
>
> It's so convenient to have a kill-ring browser, i don't understand why
> emacs have not one and continue cycling blindly to find something in
> kill-ring...
>

It's still much better than any other text editor I know of.  And either 
way, there are already third-party alternatives if the Emacs defaults 
isn't good enough.

I think it would be better if we rebind M-y completely to enter a new 
mode which browses the kill ring in the minibuffer.  But leave C-y alone.